package arabiannight.tistory.com.isrunningprocess;

import java.util.List;

import android.app.Activity;
import android.app.ActivityManager;
import android.app.ActivityManager.RunningAppProcessInfo;
import android.content.Context;
import android.os.Bundle;
import android.widget.Toast;

public class TestisRunningProcessActivity extends Activity {

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		boolean temp = isRunningProcess(this, "arabiannight.tistory.com.aynctask");
		Toast.makeText(this, "" + temp, Toast.LENGTH_LONG).show();

	}

	/**
	 * Process가 실행중인지 여부 확인.
	 * @param context, packageName
	 * @return true/false
	 */
	public static boolean isRunningProcess(Context context, String packageName) {

		boolean isRunning = false;

		ActivityManager actMng = (ActivityManager)context.getSystemService(Context.ACTIVITY_SERVICE);                      

		List<RunningAppProcessInfo> list = actMng.getRunningAppProcesses();     

		for(RunningAppProcessInfo rap : list)                           
		{                                
			if(rap.processName.equals(packageName))                              
			{                                   
				isRunning = true;     
				break;
			}                         
		}

		return isRunning;
	}
}